## ivtools 1.2.8a1

=== debian/changelog ===
ivtools (1.2.8a1-5ubuntu1) precise; urgency=low

  * Fix FTBFS with automake 1.11.3 replacing pkglib_DATA with new
    a new variable in Makefile.am (LP: #935186).

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 19 Feb 2012 00:27:49 +0100

ivtools (1.2.8a1-5build1) precise; urgency=low

  * No-change rebuild for libace-5.7.7 -> libace-6.0.1 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 13 Nov 2011 15:06:25 +0400

ivtools (1.2.8a1-5) unstable; urgency=low

  * remove stray ivtools-dev libjpeg dependency (closes: #629957)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 26 Jun 2011 14:50:38 +0100

ivtools (1.2.8a1-4) unstable; urgency=low

  * autotools updates
  * Update patches:
    math_atan2_hypot -- modify, remove sincos() for portability
    autoconf_guard_ioctl -- added (for non-Linux autobuild issue)
  * remove libjpeg build dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 21 May 2011 00:14:18 +0100

ivtools (1.2.8a1-3) unstable; urgency=low

  * build dependency on libtool (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 19 May 2011 22:42:34 +0100

ivtools (1.2.8a1-2) unstable; urgency=low

  * build dependency on autoconf and automake (debian/control).
    See /usr/share/doc/autotools-dev/README.Debian.gz for details.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 19 May 2011 20:45:10 +0100

ivtools (1.2.8a1-1) unstable; urgency=low

  * Update patches:
    37_Time_h -- removed (upstream)
    46_comdraw_crash -- removed (upstream)
    47_manpages_whatis -- add new pages
    use gbp-pq import/export to rename/sanitise/refresh/merge-related
    typo_assigment_assignment -- added
    typo_manpages -- added
    math_atan2_hypot_sincos -- added
  * New fully-autotools-based build system allows much simplification and
    addresses symlink-based autobuild problem.  Targeted for upstream adoption,
    and done in consultation with upstream.  Although this is a debian patch
    for now, the quilt system is unable to conveniently represent these changes
    as they include many file removals and renames.  For this reason, a fake
    upstream tarball with the autotools changes is used.
  * Put static libraries in ivtools-dev, and switch it from arch all to any

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 19 May 2011 08:52:17 +0100

ivtools (1.2.8-2) unstable; urgency=low

  * build debian-specific things in debian subdir (debian/rules etc)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Apr 2011 12:02:30 +0100

ivtools (1.2.8-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * Updated patches (thanks to Yaroslav Halchenko):
    03_date_c.diff
    04_time_c.diff
    05_rcdialog_c.diff
    09_comvalue_c.diff
    37_Time_h.diff     -- removed
    46_comdraw_crash.diff      -- upstream
    49_string.c_constchar.diff -- partially adopted upstream
    48_gcc40_int_pointer_errors.diff -- refreshed
  * New patches
    50_configure_no_qt.diff
    51_libTIFF_to_libtiff.diff
  * Update patches:
    18_timeglyph_c.diff -- refresh
  * Packaging updates:
    - grossly expand debian/copyright
    - bump policy
    - bump to dh 8
    - rewrite debian/rules & associated files
    - convert reference manual from PS to PDF
    - source format 3.0 (quilt)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Apr 2011 19:28:32 +0100

ivtools (1.2.6-1+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    - Reverting 1.2.6-1+nmu2 -j1 addition to keep package clean.
    - Fix ARCH evaluation.
    - Use generic $(MAKE) instead of make.
    - Make sure imake is always called with -U$(ARCH) (Closes: #549407).
  * 01_configure.diff: Handle disabling of early binary stripping.
  * 015_Makefile_dontstrip.diff: Disable patch.
  * 49_string.c_constchar.diff: New patch to deal with gcc 4.4 'invalid
    conversion from 'const char*' to 'char*'' errors (Closes: #560203).
  * 48_gcc40_int_pointer_errors.diff: Modified to use (unsigned intptr_t)
    instead of (uintptr_t) to avoid out-of-context errors.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Dec 2009 18:13:03 +0100

ivtools (1.2.6-1+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Try working around race condition causing #549407
    by calling main build target with explicit -j1.
  * Fix lintian error 'weak-library-dev-dependency' by tightening
    some ivtools-dev dependencies to the range between the exact
    version and version just before next non-binary NMU.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 Nov 2009 12:35:12 +0100

ivtools (1.2.6-1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * 48_gcc40_int_pointer_errors.diff: New patch to fix some gcc40 errors.
    + A pointer does not fit in an integer on 64 bit arches. A pointer
      is 64 bit, an integer 32 bit. Use (u)intptr_t instead of
      (unsigned) int (Closes: #545834).
  * debian/rules: Remove empty -p parameter to dh_installdocs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 29 Sep 2009 13:02:03 +0200

ivtools (1.2.6-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * New upstream release. (Closes: #469407, #303956)
    + Drop changes no longer needed.
    + Add build-dep on quilt.
    + Add quilt patches for pertinent changes.
    + Fix FTBFS. (Closes: #441490).
      + Many of the fixes taken from Michael Ablassmeier, thanks!
    + Probably patched more than necessary.
    + 46_comdraw_crash.diff. (Closes: #446774).
      + Thanks to Leon Bottou for the patch.
    + Patch WHATIS entry in upstream man pages. (Closes: #210626).
    + 015_Makefile_dontstrip.diff - Don't strip. (Closes: #437237).
  * Replace ${Source-Version} with ${binaryVersion} in depends.
  * Replace x-dev build-dep with x11proto-core-dev. (Closes: #515446).
  * Replace xutils build-dep with x11-utils.
  * Add build-dep on xutils-dev for imake. (Closes: #536901).
  * Debian/rules clean-up.


=== debian/control ===
Source: ivtools
Priority: optional
Section: libs
Build-Depends: debhelper (>= 8),
	quilt (>= 0.46-7~),
	autotools-dev (>= 20100122.1~),
	autoconf (>= 2.67), automake, libtool,
	zlib1g-dev,
	x11-utils, xutils-dev, x11proto-core-dev,
	libx11-dev, libxext-dev, libxmu-dev, libxt-dev,
	libtiff4-dev | libtiff-dev, libace-dev,
	ghostscript
Build-Conflicts: autoconf2.13, automake1.4
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.2.0
Homepage: http://www.ivtools.org
Vcs-Git: git://git.debian.org/git/collab-maint/ivtools.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ivtools.git

Package: ivtools-bin
Section: graphics
Architecture: any
Depends: xterm | x-terminal-emulator, ${shlibs:Depends}, ${misc:Depends}
Conflicts: ivtools-dev (<= 1.2.8-2)
Suggests: netpbm, libjpeg-progs, pstoedit
Description: Drawing Editors evolved from idraw
 The drawing editors in this package are idraw, a basic vector graphics
 editor, graphdraw, flipbook, a vector graphics animation tool, a vector
 graphics server and some small sample programs like dclock.

Package: ivtools-dev
Section: devel
Architecture: any
Depends: libiv1 (>= ${source:Version}), libiv1 (<< ${source:Version}.1~),
	 libiv-unidraw1 (>= ${source:Version}), libiv-unidraw1 (<< ${source:Version}.1~),
	 libc6-dev, libtiff4-dev, zlib1g-dev, libace-dev,
	 ${shlibs:Depends}, ${misc:Depends}
Conflicts: ivtools-bin (<< 0.7.2)
Description: Development files for the InterViews library
 The include-files needed to develop applications with the ivtools
 library, along with appropriate dynamic library links and static
 libraries.

Package: libiv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ivtools
Description: C++ GUI library with Motif Look and Feel
 This package contains the InterViews library. It is written in C++
 and portable to several different Unix platforms.
 Applications written with the InterViews library can be configured to
 provide a special "Look and Feel", such as SGI-Motif and normal Motif.

Package: libiv-unidraw1
Section: libs
Architecture: any
Conflicts: ivtools
Replaces: ivtools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Application Frameworks layered on Unidraw
 The package includes the unidraw library plus extensions for frame and
 graph editing, needed by the ivtools vector graphics editors.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build clean install binary-arch binary-indep binary:
	dh $@ --with autotools_dev --with quilt --parallel

.PHONY: build clean binary-indep binary-arch binary install

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_install:
	dh_install
	@echo prevent library files in libiv1 from being duplicated in libiv-unidraw1
	find debian/libiv1/usr/lib -type f -o -type l		\
	 | sed s:^debian/libiv1/:debian/libiv-unidraw1/:	\
	 | xargs --no-run-if-empty rm --verbose

override_dh_installexamples: debian/glyphs.tar
	dh_installexamples

debian/glyphs.tar:
	tar --create --file=$@ \
	    --exclude-backups --exclude='*.bak' \
	    --exclude=Makefile.depend --exclude='*.o' --exclude=a.out \
	    --directory=src glyphs

=== debian/watch ===
version=3

http://sf.net/ivtools/ivtools-([\d.]+)\.tgz

## ivtools 1.2.10a1

=== debian/changelog ===
ivtools (1.2.10a1-1) unstable; urgency=low

  * new upstream release
  * merged into autotools branch
  * update quilt patches accordingly

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Jun 2012 01:10:47 +0100

ivtools (1.2.8a2-1) unstable; urgency=low

  * autotools updates, new pseudo-version
  * bump standards version
  * debhelper 9
  * support multiarch
  * GCC 4.7 fixes
  * quilt patch away some warnings

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Apr 2012 21:56:53 +0100

ivtools (1.2.8a1-8) unstable; urgency=low

  * merge automake >= 1.11.3 autotools fix (closes: #660485)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 20 Feb 2012 09:39:04 +0000

ivtools (1.2.8a1-7) unstable; urgency=low

  * quilt patch for HURD NOFILE issue
  * merge kfreebsd sig_atomic_t autotools fix

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Sep 2011 11:25:14 +0100

ivtools (1.2.8a1-6) unstable; urgency=low

  * add package conflict, as /usr/lib/ivtools/InterViews was moved from
    ivtools-dev into ivtools-bin as part of the autotools transition
  * add quilt patch for manpage -option to \-option, and rationalise patches
  * merge autotools change allowing use of libclippoly
  * add quilt patch to get libclippoly-enabled-only code to compile
  * build dependency on libclippoly-dev
  * use now-preferred (= ${binary:Version}) library version cross-dependency
  * autotools updates
  * dh --with autoreconf
  * update descriptions to muffle lintian

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 17 Aug 2011 10:35:38 +0200

=== debian/control ===
Source: ivtools
Priority: optional
Section: libs
Build-Depends: debhelper (>= 9),
	dh-autoreconf,
	zlib1g-dev,
	x11-utils, xutils-dev, x11proto-core-dev,
	libx11-dev, libxext-dev, libxmu-dev, libxt-dev,
	libtiff4-dev | libtiff-dev, libace-dev,
	libclippoly-dev,
	ghostscript
Build-Conflicts: autoconf2.13, automake1.4
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.3
Homepage: http://www.ivtools.org
Vcs-Git: git://git.debian.org/git/collab-maint/ivtools.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ivtools.git

Package: ivtools-bin
Section: graphics
Architecture: any
Depends: xterm | x-terminal-emulator, ${shlibs:Depends}, ${misc:Depends}
Conflicts: ivtools-dev (<< 1.2.8a1)
Suggests: netpbm, libjpeg-progs, pstoedit
Description: Drawing Editors evolved from idraw
 InterViews is written in C++ and portable to several different Unix
 platforms.
 Applications written with the InterViews library can be configured to
 provide a special "Look and Feel", such as SGI-Motif and normal Motif.
 This package contains mainly drawing programs written using the
 InterViews library: idraw, a basic vector graphics editor, graphdraw,
 flipbook, a vector graphics animation tool, a vector graphics server,
 and some small sample programs like dclock.

Package: ivtools-dev
Section: devel
Architecture: any
Depends: libiv1 (= ${binary:Version}),
	 libiv-unidraw1 (= ${binary:Version}),
	 libc6-dev, libtiff4-dev, zlib1g-dev, libace-dev,
	 ${shlibs:Depends}, ${misc:Depends}
Conflicts: ivtools-bin (<< 0.7.2)
Description: Development files for the InterViews library
 InterViews is written in C++ and portable to several different Unix
 platforms.
 Applications written with the InterViews library can be configured to
 provide a special "Look and Feel", such as SGI-Motif and normal Motif.
 This package contains the include files needed to develop
 applications with the ivtools library, along with appropriate dynamic
 library links and static libraries.

Package: libiv1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ivtools
Description: C++ GUI library with Motif Look and Feel
 InterViews is written in C++ and portable to several different Unix
 platforms.
 Applications written with the InterViews library can be configured to
 provide a special "Look and Feel", such as SGI-Motif and normal Motif.
 This package contains the InterViews dynamic library.

Package: libiv-unidraw1
Architecture: any
Conflicts: ivtools
Replaces: ivtools
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Application Frameworks layered on Unidraw
 InterViews is written in C++ and portable to several different Unix
 platforms.
 Applications written with the InterViews library can be configured to
 provide a special "Look and Feel", such as SGI-Motif and normal Motif.
 The package includes the unidraw dynamic library, along with
 extensions for frame and graph editing needed by the ivtools vector
 graphics editors.

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build clean install binary-arch binary-indep binary:
-	dh $@ --with autotools_dev --with quilt --parallel
+export DEB_BUILD_MAINT_OPTIONS=hardening=-format
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-.PHONY: build clean binary-indep binary-arch binary install
+dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
 
-override_dh_auto_configure:
-	./autogen.sh
-	dh_auto_configure
+$(dh_targets) %:
+	dh $@ --with autoreconf --parallel
+
+.PHONY: $(dh_targets)
 
 override_dh_install:
 	dh_install

## ivtools 1.2.11a1

=== debian/changelog ===
ivtools (1.2.11a1-6) unstable; urgency=medium

  * merge upstream changes from
    git://github.com/vectaport/ivtools-1.2.git
  * specify PSFontDir explicitly at conf time (closes: #818514)
  * bump debian standards version, no changes required
  * remove bashism negative exit code (closes: #772340)
  * build dependency for AX_ autoconf macro

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 26 Mar 2016 22:19:56 +0000

ivtools (1.2.11a1-5) unstable; urgency=medium

  * bump debian standards version, no changes required
  * MAXHOSTNAMELEN patch for Hurd

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Oct 2014 16:30:16 +0100

ivtools (1.2.11a1-4) unstable; urgency=medium

  * multiarch debian/control tweaks
  * patches
    - refresh patches
    - autoconf the time header file, might help with kfreebsd gettimeofday()
    - fallback MAXPATHLEN definition for GNU Hurd
    - disable silly scripts (closes: #323480)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 16 Oct 2014 09:15:26 +0100

ivtools (1.2.11a1-3) unstable; urgency=medium

  * rebuild with new libace

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Oct 2014 08:51:42 +0100

ivtools (1.2.11a1-2) unstable; urgency=low

  * bump standards version (no changes required)
  * update packaging repo urls
  * remove build alt libtiff4-dev (closes: #736016)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jan 2014 15:36:31 +0000

ivtools (1.2.11a1-1) unstable; urgency=low

  * new upstream release
  * updated ace libraries no longer break the build (closes: #701300)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Oct 2013 10:41:43 +0100

ivtools (1.2.10a1-2) unstable; urgency=low

  * switch executable debian/*.install files from sh to dh-exec

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Dec 2012 15:14:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,27 @@
 Priority: optional
 Section: libs
 Build-Depends: debhelper (>= 9),
-	dh-autoreconf,
+	dh-autoreconf, autoconf-archive,
+	dh-exec,
 	zlib1g-dev,
 	x11-utils, xutils-dev, x11proto-core-dev,
 	libx11-dev, libxext-dev, libxmu-dev, libxt-dev,
-	libtiff4-dev | libtiff-dev, libace-dev,
+	libtiff-dev, libace-dev,
 	libclippoly-dev,
 	ghostscript
 Build-Conflicts: autoconf2.13, automake1.4
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.7
 Homepage: http://www.ivtools.org
-Vcs-Git: git://git.debian.org/git/collab-maint/ivtools.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ivtools.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ivtools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ivtools.git
 
 Package: ivtools-bin
 Section: graphics
 Architecture: any
 Depends: xterm | x-terminal-emulator, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: ivtools-dev (<< 1.2.8a1)
-Suggests: netpbm, libjpeg-progs, pstoedit
+Suggests: imagemagick, libjpeg-progs, pstoedit
 Description: Drawing Editors evolved from idraw
  InterViews is written in C++ and portable to several different Unix
  platforms.
@@ -37,7 +38,7 @@
 Architecture: any
 Depends: libiv1 (= ${binary:Version}),
 	 libiv-unidraw1 (= ${binary:Version}),
-	 libc6-dev, libtiff4-dev, zlib1g-dev, libace-dev,
+	 libc6-dev, libtiff-dev, zlib1g-dev, libace-dev,
 	 ${shlibs:Depends}, ${misc:Depends}
 Conflicts: ivtools-bin (<< 0.7.2)
 Description: Development files for the InterViews library
@@ -51,6 +52,7 @@
 
 Package: libiv1
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: ivtools
@@ -63,6 +65,7 @@
 
 Package: libiv-unidraw1
 Architecture: any
+Multi-Arch: same
 Conflicts: ivtools
 Replaces: ivtools
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,12 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=-format
-export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
-
-$(dh_targets) %:
+%:
 	dh $@ --with autoreconf --parallel
 
-.PHONY: $(dh_targets)
+override_dh_auto_configure:
+	dh_auto_configure -- --with-PSFontDir=/usr/share/fonts/type1/gsfonts
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3

http://www.ivtools.org/ivtools/download.html \
 .*/ivtools-([\d.]+)\.tgz.*

# http://sf.net/ivtools/ivtools-([\d.]+)\.tgz

## ivtools 1.2.11a2

=== debian/changelog ===
ivtools (1.2.11a2-4build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:28 +0100

ivtools (1.2.11a2-4build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:55:08 +0000

ivtools (1.2.11a2-4) unstable; urgency=medium

  * track upstream changes (bug fix)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Feb 2019 19:19:16 +0000

ivtools (1.2.11a2-3) unstable; urgency=medium

  * track upstream changes

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 07 Feb 2019 05:02:16 +0000

ivtools (1.2.11a2-2) unstable; urgency=medium

  * track upstream changes (minor bug fix for duck issue)
  * bump policy
  * bump debhelper version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 22 Jan 2019 13:45:36 +0000

ivtools (1.2.11a2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Barak A. Pearlmutter ]
  * bump policy, no changes required
  * generate new upstream tarball, for cleanliness
  * track true upstream changes
  * swizzle packaging repo to salsa
  * configure git-buildpackage, debian on branch: debian

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Oct 2018 21:34:24 +0100

ivtools (1.2.11a1-11) unstable; urgency=medium

  * nan.h FTBFS glibc 2.27 patch from Aurelien Jarno (closes: #891274)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 24 Feb 2018 16:44:14 +0000

ivtools (1.2.11a1-10) unstable; urgency=medium

  * minor cleanups
  * merge upstream mods
  * bump to debhelper 11
  * bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Jan 2018 21:49:32 +0000

ivtools (1.2.11a1-9) unstable; urgency=medium

  * bump to debhelper 10
  * silence lintian: smash generated tarball mtimes for reproducible build

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 27 Feb 2017 23:48:01 +0000

ivtools (1.2.11a1-8) unstable; urgency=medium

  * address GCC-6 errors, abs(unsigned) and zero comparison (closes: #835747)
    - commit 9741bca, GCC-6 zero comparison
    - commit 5dd153e, GCC-6 abs(unsigned)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Sep 2016 11:46:02 +0100

ivtools (1.2.11a1-7) unstable; urgency=medium

  * merge upstream changes from
    git://github.com/vectaport/ivtools-1.2.git
  * use unsigned char in xbm files (closes: #811717)
  * bump debian standards version, no changes required
  * avoid unnecessary use of dh-exec
  * secure repo URL
  * enable some hardening options

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 21 Jul 2016 12:11:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: ivtools
 Priority: optional
 Section: libs
-Build-Depends: debhelper (>= 9),
-	dh-autoreconf, autoconf-archive,
-	dh-exec,
+Build-Depends: debhelper-compat (= 12),
+	autoconf-archive,
 	zlib1g-dev,
-	x11-utils, xutils-dev, x11proto-core-dev,
-	libx11-dev, libxext-dev, libxmu-dev, libxt-dev,
-	libtiff-dev, libace-dev,
+	x11-utils, x11proto-core-dev,
+	libx11-dev, libxext-dev,
+	libtiff-dev, libace-dev, libice-dev,
 	libclippoly-dev,
 	ghostscript
 Build-Conflicts: autoconf2.13, automake1.4
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 4.3.0
 Homepage: http://www.ivtools.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/ivtools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ivtools.git
+Vcs-Git: https://salsa.debian.org/debian/ivtools.git
+Vcs-Browser: https://salsa.debian.org/debian/ivtools
 
 Package: ivtools-bin
 Section: graphics

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=-format
+export DEB_BUILD_MAINT_OPTIONS=hardening=-format,+bindnow,+pie
+include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-PSFontDir=/usr/share/fonts/type1/gsfonts
@@ -23,6 +24,8 @@
 
 debian/glyphs.tar:
 	tar --create --file=$@ \
+	    --mtime="@$(SOURCE_DATE_EPOCH)" --clamp-mtime \
+	    --sort=name --owner=0 --group=0 --numeric-owner \
 	    --exclude-backups --exclude='*.bak' \
 	    --exclude=Makefile.depend --exclude='*.o' --exclude=a.out \
 	    --directory=src glyphs

=== debian/watch ===
version=3

http://www.ivtools.org/ivtools/download.html \
 .*/ivtools-([\d.]+)\.tgz.*

# https://sf.net/ivtools/ivtools-([\d.]+)\.tgz

## ivtools 2.0.0

=== DESCRIPTION ===
Package: ivtools
Type: Package
Title: Instrumental Variables
Version: 2.0.0
Date: 2018-11-05
Author: Arvid Sjolander, Elisabeth Dahlqwist, Torben Martinussen
Maintainer: Arvid Sjolander <arvid.sjolander@ki.se>
Description: Contains tools for instrumental variables estimation. Currently, non-parametric bounds, two-stage estimation and G-estimation are implemented. Balke, A. and Pearl, J. (1997) <doi:10.2307/2965583>, Vansteelandt S., Bowden J., Babanezhad M., Goetghebeur E. (2011) <doi:10.1214/11-STS360>. 
License: LGPL (>= 3)
Imports: stats, data.table, numDeriv, nleqslv, survival, ahaz, Rcpp
LinkingTo: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2018-11-05 10:55:02 UTC; arvsjo
Repository: CRAN
Date/Publication: 2018-11-05 11:20:03 UTC

## ivtools 2.0.3a1

=== debian/changelog ===
ivtools (2.0.3a1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Aug 2020 09:09:09 +0100

ivtools (2.0.2a1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 06 Jul 2020 10:04:24 +0100

ivtools (2.0.1a1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Jul 2020 11:46:13 +0100

ivtools (2.0.0a1-1) unstable; urgency=medium

  * new upstream release
  * bump library major version
  * upstream development repo is now https://github.com/vectaport/ivtools
  * adapt to relocated upstream change logs
  * use shiny new dh13 facilities

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 24 Jun 2020 22:29:37 +0100

ivtools (1.2.11a4-1) unstable; urgency=medium

  * new upstream release, removes (unused) IUE support
  * track upstream changes (bug fixes)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Jun 2020 22:08:43 +0100

ivtools (1.2.11a3-3) unstable; urgency=medium

  * address build reproducibility: modes of files in glyphs tarball
  * track upstream changes
  * clip trailing whitespace in debian/copyright
  * address lintian tag quoted-placeholder-in-mailcap-entry

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 24 May 2020 15:49:21 +0100

ivtools (1.2.11a3-2) unstable; urgency=medium

  * track minor upstream changes
  * bump to debhelper 13
  * tell dh_missing not to worry about *.la files
  * install refman.pdf from debian/tmp to calm dh_missing

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 May 2020 21:22:00 +0100

ivtools (1.2.11a3-1) unstable; urgency=medium

  * Fix day-of-week for changelog entries 0.9.2-1, 0.9.1-3, 0.9.1-2,
    0.5.9-1.
  * bump policy
  * minor upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Apr 2020 16:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ivtools
 Priority: optional
 Section: libs
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	autoconf-archive,
 	zlib1g-dev,
 	x11-utils, x11proto-core-dev,
@@ -11,7 +11,8 @@
 	ghostscript
 Build-Conflicts: autoconf2.13, automake1.4
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.ivtools.org
 Vcs-Git: https://salsa.debian.org/debian/ivtools.git
 Vcs-Browser: https://salsa.debian.org/debian/ivtools
@@ -35,8 +36,8 @@
 Package: ivtools-dev
 Section: devel
 Architecture: any
-Depends: libiv1 (= ${binary:Version}),
-	 libiv-unidraw1 (= ${binary:Version}),
+Depends: libiv2 (= ${binary:Version}),
+	 libiv-unidraw2 (= ${binary:Version}),
 	 libc6-dev, libtiff-dev, zlib1g-dev, libace-dev,
 	 ${shlibs:Depends}, ${misc:Depends}
 Conflicts: ivtools-bin (<< 0.7.2)
@@ -49,7 +50,7 @@
  applications with the ivtools library, along with appropriate dynamic
  library links and static libraries.
 
-Package: libiv1
+Package: libiv2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -62,7 +63,7 @@
  provide a special "Look and Feel", such as SGI-Motif and normal Motif.
  This package contains the InterViews dynamic library.
 
-Package: libiv-unidraw1
+Package: libiv-unidraw2
 Architecture: any
 Multi-Arch: same
 Conflicts: ivtools

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=-format,+bindnow,+pie
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-PSFontDir=/usr/share/fonts/type1/gsfonts

execute_after_dh_install:
	@echo prevent library files in libiv2 from being duplicated in libiv-unidraw2
	find debian/libiv2/usr/lib -type f -o -type l		\
	 | sed s:^debian/libiv2/:debian/libiv-unidraw2/:	\
	 | xargs --no-run-if-empty rm --verbose

execute_before_dh_installexamples: debian/glyphs.tar
	@echo "build glyphs tar file before trying to install it"

debian/glyphs.tar:
	tar --create --file=$@ \
	    --mtime="@$(SOURCE_DATE_EPOCH)" --clamp-mtime \
	    --mode=u=rwX,go=rX \
	    --sort=name --owner=0 --group=0 --numeric-owner \
	    --exclude-backups --exclude='*.bak' \
	    --exclude=Makefile.depend --exclude='*.o' --exclude=a.out \
	    --directory=src glyphs

## ivtools 2.0.4a1

=== debian/changelog ===
ivtools (2.0.4a1-2) unstable; urgency=medium

  * bump policy
  * stop using libclippoly, see bug 976540

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 03 Jan 2021 13:11:50 +0000

ivtools (2.0.4a1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 10 Oct 2020 14:04:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 	x11-utils, x11proto-core-dev,
 	libx11-dev, libxext-dev,
 	libtiff-dev, libace-dev, libice-dev,
-	libclippoly-dev,
 	ghostscript
 Build-Conflicts: autoconf2.13, automake1.4
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.ivtools.org
 Vcs-Git: https://salsa.debian.org/debian/ivtools.git

## ivtools 2.0.11d.a1

=== debian/changelog ===
ivtools (2.0.11d.a1-3build8) resolute; urgency=medium

  * Rebuild against latest ace

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 18 Oct 2025 09:18:28 -0400

ivtools (2.0.11d.a1-3build7) plucky; urgency=medium

  * No-change rebuild for libace-8.0.2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 17 Dec 2024 07:12:04 +0000

ivtools (2.0.11d.a1-3build6) oracular; urgency=medium

  * No-change rebuild for libace-8.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 10 Aug 2024 00:13:10 +0100

ivtools (2.0.11d.a1-3build5) oracular; urgency=medium

  * No-change rebuild for libace-8.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 09 Aug 2024 13:44:05 +0100

ivtools (2.0.11d.a1-3build4) oracular; urgency=medium

  * Rebuild against new libace-8.0.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 Jun 2024 07:19:46 +0100

ivtools (2.0.11d.a1-3build3) oracular; urgency=medium

  * Rebuild against new libace-7.1.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 May 2024 15:03:42 +0200

ivtools (2.0.11d.a1-3build2) oracular; urgency=medium

  * No-change rebuild against libace-7.1.3.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com> Thu, 09 May 2024 15:21:13 -0500

ivtools (2.0.11d.a1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:32:44 +0000

ivtools (2.0.11d.a1-3) unstable; urgency=medium

  * Ooops, wrong branch, fix!!!

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Mar 2024 00:20:46 +0000

ivtools (2.0.11d.a1-2) unstable; urgency=medium

  * Clean more stuff (closes: #1046041)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 03 Mar 2024 23:54:47 +0000

ivtools (2.0.11d.a1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062464

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 11:53:08 +0000

ivtools (2.0.11d.a1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Jan 2022 22:06:00 +0000

ivtools (2.0.10a1-1) unstable; urgency=medium

  * new upstream release
  * remove ancient Conflicts: from debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 30 Dec 2021 20:19:59 +0000

ivtools (2.0.4a1-3) unstable; urgency=medium

  * bump policy
  * merge autoconf 2.70 fix (closes: #978839)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 27 Aug 2021 10:08:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ivtools
 Priority: optional
 Section: libs
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 	autoconf-archive,
 	zlib1g-dev,
 	x11-utils, x11proto-core-dev,
@@ -9,8 +9,9 @@
 	libtiff-dev, libace-dev, libice-dev,
 	ghostscript
 Build-Conflicts: autoconf2.13, automake1.4
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://www.ivtools.org
 Vcs-Git: https://salsa.debian.org/debian/ivtools.git
@@ -20,13 +21,12 @@
 Section: graphics
 Architecture: any
 Depends: xterm | x-terminal-emulator, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ivtools-dev (<< 1.2.8a1)
 Suggests: imagemagick, libjpeg-progs, pstoedit
 Description: Drawing Editors evolved from idraw
  InterViews is written in C++ and portable to several different Unix
  platforms.
  Applications written with the InterViews library can be configured to
- provide a special "Look and Feel", such as SGI-Motif and normal Motif.
+ provide a special “Look and Feel”, such as SGI-Motif and normal Motif.
  This package contains mainly drawing programs written using the
  InterViews library: idraw, a basic vector graphics editor, graphdraw,
  flipbook, a vector graphics animation tool, a vector graphics server,
@@ -35,11 +35,10 @@
 Package: ivtools-dev
 Section: devel
 Architecture: any
-Depends: libiv2 (= ${binary:Version}),
-	 libiv-unidraw2 (= ${binary:Version}),
+Depends: libiv2t64 (= ${binary:Version}),
+	 libiv-unidraw2t64 (= ${binary:Version}),
 	 libc6-dev, libtiff-dev, zlib1g-dev, libace-dev,
 	 ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ivtools-bin (<< 0.7.2)
 Description: Development files for the InterViews library
  InterViews is written in C++ and portable to several different Unix
  platforms.
@@ -49,12 +48,14 @@
  applications with the ivtools library, along with appropriate dynamic
  library links and static libraries.
 
-Package: libiv2
+Package: libiv2t64
+Provides: ${t64:Provides}
+Replaces: libiv2
+Breaks: libiv2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: ivtools
 Description: C++ GUI library with Motif Look and Feel
  InterViews is written in C++ and portable to several different Unix
  platforms.
@@ -62,11 +63,12 @@
  provide a special "Look and Feel", such as SGI-Motif and normal Motif.
  This package contains the InterViews dynamic library.
 
-Package: libiv-unidraw2
+Package: libiv-unidraw2t64
+Provides: ${t64:Provides}
+Replaces: libiv-unidraw2
+Breaks: libiv-unidraw2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
-Conflicts: ivtools
-Replaces: ivtools
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Application Frameworks layered on Unidraw

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,14 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-PSFontDir=/usr/share/fonts/type1/gsfonts
+	dh_auto_configure --					\
+		--with-PSFontDir=/usr/share/fonts/type1/gsfonts	\
+		--with-clippoly=no
 
 execute_after_dh_install:
 	@echo prevent library files in libiv2 from being duplicated in libiv-unidraw2
-	find debian/libiv2/usr/lib -type f -o -type l		\
-	 | sed s:^debian/libiv2/:debian/libiv-unidraw2/:	\
+	find debian/libiv2t64/usr/lib -type f -o -type l		\
+	 | sed s:^debian/libiv2t64/:debian/libiv-unidraw2t64/:	\
 	 | xargs --no-run-if-empty rm --verbose
 
 execute_before_dh_installexamples: debian/glyphs.tar

=== debian/watch ===
version=4

https://github.com/vectaport/@PACKAGE@/tags .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## ivtools 2.1.0

=== DESCRIPTION ===
Package: ivtools
Type: Package
Title: Instrumental Variables
Version: 2.1.0
Date: 2018-12-01
Author: Arvid Sjolander, Elisabeth Dahlqwist, Torben Martinussen
Maintainer: Arvid Sjolander <arvid.sjolander@ki.se>
Description: Contains tools for instrumental variables estimation. Currently, non-parametric bounds, two-stage estimation and G-estimation are implemented. Balke, A. and Pearl, J. (1997) <doi:10.2307/2965583>, Vansteelandt S., Bowden J., Babanezhad M., Goetghebeur E. (2011) <doi:10.1214/11-STS360>. 
License: LGPL (>= 3)
Imports: stats, data.table, numDeriv, nleqslv, survival, ahaz, Rcpp
LinkingTo: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2018-12-11 14:59:48 UTC; arvsjo
Repository: CRAN
Date/Publication: 2018-12-11 15:20:03 UTC

## ivtools 2.2.0

=== DESCRIPTION ===
Package: ivtools
Type: Package
Title: Instrumental Variables
Version: 2.2.0
Date: 2019-03-12
Author: Arvid Sjolander, Elisabeth Dahlqwist, Torben Martinussen
Maintainer: Arvid Sjolander <arvid.sjolander@ki.se>
Description: Contains tools for instrumental variables estimation. Currently, non-parametric bounds, two-stage estimation and G-estimation are implemented. Balke, A. and Pearl, J. (1997) <doi:10.2307/2965583>, Vansteelandt S., Bowden J., Babanezhad M., Goetghebeur E. (2011) <doi:10.1214/11-STS360>. 
License: LGPL (>= 3)
Imports: stats, data.table, numDeriv, nleqslv, survival, ahaz, Rcpp
LinkingTo: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2019-03-12 10:46:43 UTC; arvsjo
Repository: CRAN
Date/Publication: 2019-03-12 11:10:02 UTC

## ivtools 2.3.0

=== DESCRIPTION ===
Package: ivtools
Type: Package
Title: Instrumental Variables
Version: 2.3.0
Date: 2020-02-24
Author: Arvid Sjolander, Elisabeth Dahlqwist, Torben Martinussen
Maintainer: Arvid Sjolander <arvid.sjolander@ki.se>
Description: Contains tools for instrumental variables estimation. Currently, non-parametric bounds, two-stage estimation and G-estimation are implemented. Balke, A. and Pearl, J. (1997) <doi:10.2307/2965583>, Vansteelandt S., Bowden J., Babanezhad M., Goetghebeur E. (2011) <doi:10.1214/11-STS360>. 
License: LGPL (>= 3)
Imports: stats, data.table, numDeriv, nleqslv, survival, ahaz, Rcpp
LinkingTo: Rcpp
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2020-02-24 07:19:06 UTC; arvsjo
Repository: CRAN
Date/Publication: 2020-02-24 07:50:02 UTC
